Page MenuHomeFreeBSD

aesni: Handle requests with an empty payload.
ClosedPublic

Authored by jhb on Sep 24 2021, 6:05 PM.

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

This was triggered by the AES-CCM KAT vectors some of which use an empty payload.

emaste added inline comments.
sys/crypto/aesni/aesni.c
718–722

this seems like it could be a reasonable place to apply {} on all branches if at least some have them

jhb marked an inline comment as done.Oct 1 2021, 9:33 PM
This revision was not accepted when it landed; it landed in state Needs Review.Oct 6 2021, 9:11 PM
This revision was automatically updated to reflect the committed changes.